Bug 46223 - Customize LDAP_HOSTDN env variable name
Customize LDAP_HOSTDN env variable name
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.2
Other All
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-06 09:17 CET by Dirk Wiesenthal
Modified: 2018-02-14 13:31 CET (History)
0 users

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 3: Will affect average number of installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.069
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2018-02-06 09:17:36 CET
We are passing the ldap/hostdn of the Docker container into the App. As this is sometimes used as the LDAP user of the Auth integration, it would be better to make the name customizable.
Comment 1 Dirk Wiesenthal univentionstaff 2018-02-06 11:17:24 CET
Fixed in
  univention-appcenter 6.0.11-13A~4.2.0.201802061112
Comment 2 Felix Botner univentionstaff 2018-02-08 18:31:32 CET
I don't understand this, what do i have to set in the ini file, what env var is set in the container

i tried 

DockerEnvLdapUser = DOCKERLDAP

-> docker exec -it 37b7108183b9 env| grep -i dock
updater_identify=Docker App
UPDATER_IDENTIFY=Docker App
docker_host_name=master.four.two
DOCKER_HOST_NAME=master.four.two
container=docker

-> docker exec -it 37b7108183b9 env| grep -i ldap
LDAP_URL=ldap://master.four.two:7389
LDAP_BASE=dc=four,dc=two
LDAP_DEFAULT_ORGA=true
LDAP_SYNTHETIC_GROUP=LDAP User
LDAP_USER_BASE=
LDAP_USER_FILTER=(&(uid=%v)(relutionActivated=TRUE))
LDAP_USER_MAPPING_MANUAL=true
LDAP_USER_MAPPING_UNIQUEKEY=entryUUID
LDAP_USER_MAPPING_EMAIL=mailPrimaryAddress
LDAP_GROUP_ENABLED=false
ldap_hostdn=cn=relut-82279546,cn=memberserver,cn=computers,dc=four,dc=two
LDAP_HOSTDN=cn=relut-82279546,cn=memberserver,cn=computers,dc=four,dc=two
ldap_master=master.four.two
LDAP_MASTER=master.four.two
ldap_master_port=7389
LDAP_MASTER_PORT=7389
Comment 3 Dirk Wiesenthal univentionstaff 2018-02-09 09:41:01 CET
This should work... how did you set DockerEnvLdapUser?

univention-app dev-set nextcloud DockerEnvLdapUser=LDAP_USERNAME
univention-app install nextcloud

worked for me.
Comment 4 Felix Botner univentionstaff 2018-02-09 11:27:30 CET
yes, works

-> univention-app dev-set wordpress DockerEnvLdapUser=LDAP_USERNAME
-> univention-app install wordpress
-> univention-app shell wordpress env| grep LDAP_US
LDAP_USERNAME=cn=wordp-14451885,cn=memberserver,cn=computers,dc=four,dc=two

OK - merged to 4.3
OK - YAML
Comment 5 Arvid Requate univentionstaff 2018-02-14 13:31:52 CET
<http://errata.software-univention.de/ucs/4.2/285.html>